
package com.ejie.ab04b.webservice.client.gat;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the com.ejie.ab04b.webservice.client.gat
 * package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 * @author GFI-NORTE
 */
@XmlRegistry()
public class ObjectFactory {

	private final static QName _String_QNAME = new QName(
			"http://www.openuri.org/", "string");

	/**
	 * Create a new ObjectFactory that can be used to create new instances of
	 * schema derived classes for package: com.ejie.ab04b.webservice.client.gat
	 * 
	 */
	public ObjectFactory() {
	}

	/**
	 * Create an instance of {@link GetGATTasks }.
	 *
	 * @return objeto respuesta
	 */
	public GetGATTasks createGetGATTasks() {
		return new GetGATTasks();
	}

	/**
	 * Create an instance of {@link ArrayOfString }.
	 *
	 * @return objeto respuesta
	 */
	public ArrayOfString createArrayOfString() {
		return new ArrayOfString();
	}

	/**
	 * Create an instance of {@link ArrayOfInt }.
	 *
	 * @return objeto respuesta
	 */
	public ArrayOfInt createArrayOfInt() {
		return new ArrayOfInt();
	}

	/**
	 * Create an instance of {@link GetGATTasksBDResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetGATTasksBDResponse createGetGATTasksBDResponse() {
		return new GetGATTasksBDResponse();
	}

	/**
	 * Create an instance of {@link AddTaskResponse }.
	 *
	 * @return objeto respuesta
	 */
	public AddTaskResponse createAddTaskResponse() {
		return new AddTaskResponse();
	}

	/**
	 * Create an instance of {@link AssingTasksResponse }.
	 *
	 * @return objeto respuesta
	 */
	public AssingTasksResponse createAssingTasksResponse() {
		return new AssingTasksResponse();
	}

	/**
	 * Create an instance of {@link GetInboxAll }.
	 *
	 * @return objeto respuesta
	 */
	public GetInboxAll createGetInboxAll() {
		return new GetInboxAll();
	}

	/**
	 * Create an instance of {@link GetInboxAllResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetInboxAllResponse createGetInboxAllResponse() {
		return new GetInboxAllResponse();
	}

	/**
	 * Create an instance of {@link EndTaskResponse }.
	 *
	 * @return objeto respuesta
	 */
	public EndTaskResponse createEndTaskResponse() {
		return new EndTaskResponse();
	}

	/**
	 * Create an instance of {@link AssingTasks }.
	 *
	 * @return objeto respuesta
	 */
	public AssingTasks createAssingTasks() {
		return new AssingTasks();
	}

	/**
	 * Create an instance of {@link CancelTask }.
	 *
	 * @return objeto respuesta
	 */
	public CancelTask createCancelTask() {
		return new CancelTask();
	}

	/**
	 * Create an instance of {@link GetTask }.
	 *
	 * @return objeto respuesta
	 */
	public GetTask createGetTask() {
		return new GetTask();
	}

	/**
	 * Create an instance of {@link AddTask }.
	 *
	 * @return objeto respuesta
	 */
	public AddTask createAddTask() {
		return new AddTask();
	}

	/**
	 * Create an instance of {@link CancelTaskResponse }.
	 *
	 * @return objeto respuesta
	 */
	public CancelTaskResponse createCancelTaskResponse() {
		return new CancelTaskResponse();
	}

	/**
	 * Create an instance of {@link EndTask }.
	 *
	 * @return objeto respuesta
	 */
	public EndTask createEndTask() {
		return new EndTask();
	}

	/**
	 * Create an instance of {@link GetGATTasksResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetGATTasksResponse createGetGATTasksResponse() {
		return new GetGATTasksResponse();
	}

	/**
	 * Create an instance of {@link GetTaskResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetTaskResponse createGetTaskResponse() {
		return new GetTaskResponse();
	}

	/**
	 * Create an instance of {@link GetGATTasksBD }.
	 *
	 * @return objeto respuesta
	 */
	public GetGATTasksBD createGetGATTasksBD() {
		return new GetGATTasksBD();
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link String }
	 * {@code >}}.
	 *
	 * @param value            String
	 * @return JAXBElement<String>
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "string")
	public JAXBElement<String> createString(String value) {
		return new JAXBElement<String>(_String_QNAME, String.class, null,
				value);
	}

}
